# Delete Asset

del ` https://app.mk.io/api/v1/projects/:project_name/media/assets/:asset_name`

Delete Asset.  
When you delete an asset, the underlying storage container will be deleted too. You can control this behavior by assigning a DeletionPolicy to your asset.

RBAC Capability Required: `ams.asset.delete`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- `project_name` string Required  
- `asset_name` string Required

## Response

- **200** Asset deleted.  
  No response body.
- **204** Nothing to delete.  
  No response body.

## Errors

- **400** Bad Request
  - error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error
  - `code` string Required  
    The error code.
  - `detail` string Required  
    The error message.
  - `extraDetail` map from strings to any Optional  
    Extra information regarding this error.
  
  - `ref` string Required  
    A reference to the request that caused the error.
  - `status` integer Required  
    The HTTP status code

- **401** Unauthorized
  - error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error
  - `code` string Required  
    The error code.
  - `detail` string Required  
    The error message.
  - `extraDetail` map from strings to any Optional  
    Extra information regarding this error.

- `ref` string Required  
    A reference to the request that caused the error.
  - `status` integer Required  
    The HTTP status code

- **403** Forbidden
  - error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

- `ref` string Required  
    A reference to the request that caused the error.
  - `status` integer Required  
    The HTTP status code

- **404** Not Found
  - error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

- `ref` string Required  
    A reference to the request that caused the error.
  - `status` integer Required  
    The HTTP status code

- **429** Too Many Requests
  - error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

- `ref` string Required  
    A reference to the request that caused the error.
  - `status` integer Required  
    The HTTP status code

- **500** Internal Server Error
  - error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

- `ref` string Required  
    A reference to the request that caused the error.
  - `status` integer Required  
    The HTTP status code
